Skip to content
Back to Steward

Delete multiple documents

POST
/api/v1/documents/bulk/delete
Media type application/json
object
documentIds
required

Document IDs to soft-delete

Array<string>
>= 1 items <= 500 items
Example
{
"documentIds": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012",
"507f1f77bcf86cd799439013"
]
}

Documents soft-deleted successfully

Media type application/json
object
documentIds
required
Array<string>
skippedDocumentIds
required
Array<string>
changedCount
required
number
skippedCount
required
number
Example
{
"documentIds": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
],
"skippedDocumentIds": [
"507f1f77bcf86cd799439013"
],
"changedCount": 2,
"skippedCount": 1
}

One or more documents are outside the caller account

One or more documents were not found